/*
Example for Led_Driver_2 Click

    Date          : avg 2017.
    Author        : MikroE Team

Test configuration PIC :
    
    MCU             : P18F87K22
    Dev. Board      : EasyPIC PRO v7
    SW              : mikroC PRO for PIC v$${PIC_COMPILER_VER}

Description :

    ${EXAMPLE_DESCRIPTION}

*/


#include "stdint.h"

uint8_t dutyCycle;

void systemInit()
{
    ANCON0 = 0x00;
    ANCON1 = 0x00;
    ANCON2 = 0x00;

}

void Led_Driver_2_Init()
{
    PWM2_Init(5000);
    PWM2_Start();
    dutyCycle = 0;
}

void Led_Driver_2_Task()
{
    dutyCycle++;
    PWM2_Set_Duty(dutyCycle);
    if (dutyCycle == 255)
    dutyCycle = 0;
    Delay_ms(10);

}

void main()
{
    systemInit();
    Led_Driver_2_Init();

    while( 1 )
    {
            Led_Driver_2_Task();
    }
}